Bug 48085 - Activate new Samba KCC implementation to support DRS replication topology shaping
Activate new Samba KCC implementation to support DRS replication topology sha...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks: 48084 48826
  Show dependency treegraph
 
Reported: 2018-10-30 15:55 CET by Arvid Requate
Modified: 2019-03-12 13:40 CET (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
use_new_kcc_for_new_installations.patch (1.38 KB, patch)
2018-10-30 15:55 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2018-10-30 15:55:02 CET
Created attachment 9721 [details]
use_new_kcc_for_new_installations.patch

We should activate the new Samba KCC implementation by default for new installations, to support DRS replication topology shaping as alternative to the full mesh replication.
Comment 1 Arvid Requate univentionstaff 2018-11-13 18:26:17 CET
6029c46cb5 | Activate new KCC for new installations, keep old on upgrades
e51ecb6b90 | Debian Changelog for package import&build in 4.3 scope samba-4.9
Comment 2 Felix Botner univentionstaff 2019-01-03 15:11:39 CET
please update the description (and the wiki article ? https://wiki.univention.de/index.php/Cool_Solution_-_Optimize_Samba_Active_Directory_DRS_replication_in_large_environments)


OK - update (kccsrv:samba_kcc = False)
OK - install (default)
OK - DRS
Comment 3 Arvid Requate univentionstaff 2019-01-09 14:31:51 CET
49d88ee9f7 | Updated UCR variable description for samba4/kccsrv/samba_kcc

Built in ucs_4.4-0 as 8.0.0-4A~4.4.0.201901091359.

I've also added an "update:" section to the cool solution article.
Comment 4 Felix Botner univentionstaff 2019-01-09 14:49:56 CET
OK - wiki
OK - ucrv description
Comment 5 Florian Best univentionstaff 2019-03-11 14:33:35 CET
There is no changelog entry in changelog-4.4-0.xml.
Comment 6 Arvid Requate univentionstaff 2019-03-12 00:30:02 CET
Interim bug, reverted by Bug #48826.
Comment 7 Florian Best univentionstaff 2019-03-12 13:40:57 CET
UCS 4.4 has been released:
 https://docs.software-univention.de/release-notes-4.4-0-en.html
 https://docs.software-univention.de/release-notes-4.4-0-de.html

If this error occurs again, please use "Clone This Bug".